Nie jesteś zalogowany na forum.

#1 2018-10-20 13:52:55

snapy
Użytkownik
Data rejestracji: 2018-09-05
Liczba postów: 35

Nie działające pakiety z AUR

Potrzebuję takich pakietów jak bracket-bin, swift jednak one nie działają, ludzie opisują pod nimi te błędy, że po sekundzie bracket się wyłącza, ale nikt tego nie może naprawić. Na Xubuntu i Mint działają te pakiety bez zająknięcia. Czy trzeba czekać do następnej wersji, aby to naprawili?
https://aur.archlinux.org/packages/brackets-bin/

Offline

#2 2018-10-20 14:26:26

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,653
WWW

Odp: Nie działające pakiety z AUR

Pewnie to to samo, ale spróbuj może paczki stąd: https://anarchy-linux.org/packages/
Z paczkami binarnymi przebudowywanymi z binarek robionych dla innych dystrybucji mogą być różne problemy. Wszak jest to zbudowane na innych bibliotekach itd. Niekiedy tego typu programy pracują dobrze, niekiedy w ogóle. W tym przypadku problemem może być icu.
Jeśli tego potrzebujesz i nie możesz znaleźć zamiennika, to masz do wyboru jeszcze paczkę budowaną ze źródeł, jednakże też przeczytaj komentarze jak to zbudować.
Podobnie jak swift masz w co najmniej dwu wersjach: swift i swift-bin (pierwsza jest lekko nowsza). Spróbuj obu.
Jeśli nie działają - niestety w zasadzie wyłącznie do opiekuna paczki (jeśli chodzi o paczkowanie) i do twórcy - jeśli błąd po ich stronie.


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb (4.19.8 m.in. PDS, UKSM, BFQ-MQ/SQ), amdgpu (dla CIK), KDE, patche z POLAUR

Offline

Stopka

Napędzają nas PacmanVPS i MegiTeam

Forum oparte na FluxBB